using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Takmicenje_zad_1_2021
{
    class Program
    {
        static void Main(string[] args)
        {
            string slova = Console.ReadLine();
            string[] brojevi = Console.ReadLine().Split();
            int broj1 = int.Parse(brojevi[0]);
            int broj2 = int.Parse(brojevi[1]);
            if (broj1 == broj2 || broj1 + 1 == broj2)
            {
                bool red = true;
                for(int i = 0; i < broj1 + broj2; i++)
                {
                    if (red)
                    {
                        Console.Write(slova[0]);
                    }
                    else
                    {
                        Console.Write(slova[1]);
                    }
                    red = !red;
                }
            }
            else if (broj2 + 1 == broj1)
            {
                bool red = true;
                for (int i = 0; i < broj1 + broj2; i++)
                {
                    if (red)
                    {
                        Console.Write(slova[1]);
                    }
                    else
                    {
                        Console.Write(slova[2]);
                    }
                    red = !red;
                }
            }
            else
            {
                Console.WriteLine("nemoguce");
            }
        }
    }
}